/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
properties-navigator {
  .breadcrumb-container {
    position: absolute;
    z-index: 2;
    width: 100%;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);

    overflow: hidden;        /* 1 */
    white-space: nowrap;     /* 2 */
    text-overflow: clip;

    > span {
      min-width: 100%;
      position: relative;
      display: inline-block;
      float: right;
      overflow: visible;
    }

    .breadcrumb > li + li:before {
      padding: 0 2px 0 4px; // little fix
    }
  }

  .steps-container-wrapper {
    overflow: hidden;
    height: auto;
    position: absolute;
    width: 100%;
    top:0;
    bottom:0;
    margin-top: 27px;

    //.ngdialog-content & {
    //  margin-bottom: 54px;
    //}

    //
    //
    //overflow-y: auto;

    .steps-container {
      height: 100%;
      transform: translate(-0px, 0);
      white-space: nowrap;
      -webkit-transition: transform 0.3s ease, margin 0.3s ease;
      -moz-transition: transform 0.3s ease, margin 0.3s ease;
      -o-transition: transform 0.3s ease, margin 0.3s ease;
      transition: transform 0.3s ease, margin 0.3s ease;

      > div {
        display: inline-block;
        white-space: normal;
        width: 100%;
        height: 100%;
        vertical-align: top;

        .list-group-item {
          border-width: 1px 0 0 0;
          padding-right: 40px;
          &:first-child {
            border-top-left-radius: 0;
            border-top-right-radius: 0;
          }
          &.active {
            //background: #116390 !important;
            //border-color: #116390 !important;
            small {
              color:#FFF !important;
            }
            .label {
              background: #FFF;
            }
          }

          .ico-compound {
            transform: scale(0.8,1);
            &:after {
              content: $fa-var-angle-right;
            }
            font-size: 50px;
            position: absolute;
            top: 50%;
            margin-top: -27px;
            right: 15px;
            color: $gray-lte;
          }

        }
      }
    }
  }

}